<?php
	if (!isset($_SESSION["admin"]["id"])) {
		echo "<script>location.href='index.php';</script>";
	}
?>
<h1 class="page-header">
    
    	<div class="row">
    		<div class="col-md-7 col-sm-6">
    			Enviar Mensagens sobre Atraso
            </div>

    	</div>
    
</h1>

<div class="container" style="width: 90%">
	<?php
		if ( $_POST ) {



	        if ( !isset($_FILES["arquivo"]["name"]) )  {

	            echo "<div class='alert alert-danger'>Selecione um arquivo para enviar</div>";

	        } else {

	            $size = $_FILES["arquivo"]["size"] / 1000;
	            $extensao = pathinfo($_FILES["arquivo"]["name"]);
	            $extensao = $extensao['extension'];

	        }

	        if ($extensao != "csv" ) {

	            echo "<div class='alert alert-danger'>O arquivo deve ser CSV. Arquivo enviado: $extensao</div>";

	        } else {

	        	$handle = fopen($_FILES['arquivo']['tmp_name'], "r");
	            $i = 0;
	            while (($data = fgetcsv($handle, 1000, ";")) !== FALSE) {
	            	//pula primeira linha
               		if ( $i > 0) {
               			$cnpj = $data[2];
               			
               			if ( strlen($cnpj) > 10 ) $cnpj = str_pad($cnpj, 14, "0", STR_PAD_LEFT);
	                    else $cnpj = str_pad($cnpj, 11, "0", STR_PAD_LEFT);

               			echo "$cnpj<br>";
               			$sql = "select * from cliente where cnpj = ? limit 1";
               			$consulta = $db->prepare($sql);
               			$consulta->bindParam(1, $cnpj);
                    	$consulta->execute();
                    	$dados = $consulta->fetch(PDO::FETCH_OBJ);

                    	if ( isset ( $dados->email ) ) {

                    		$email = $dados->email;
                    		echo "<p class='alert alert-danger'>Cliente $cnpj ".$data[3]." não inserido na lista.</p>";

                    	} else {
                    		echo "<p class='alert alert-danger'>Cliente do documento $cnpj (".$data[3].") não encontrado na base.</p>";
                    	}
               		}
               		$i++;

               		if ($i > 3) exit;

	            }


	        }

	    } else {

	    	echo "<p class='alert alert-danger'>Erro ao importar</p>";

	    }

	?>
</div>